1.1.5 to 2.1.1?

Discussion in 'iPod touch Firmware 2.X Jailbreak' started by dubsee, Jun 20, 2009.

  1. dubsee

    dubsee New Member

    Joined:
    Jun 19, 2009
    Messages:
    1
    Likes Received:
    0
    1.1.5 to 2.1.1 or 3.0
  2. kurtisboyd

    kurtisboyd Member

    Joined:
    Oct 20, 2007
    Messages:
    610
    Likes Received:
    7
    Device:
    iPhone 4 (Black)
    3.0 definitely, why wouldn't you?
  3. daconcerror

    daconcerror Banned

    Joined:
    Sep 6, 2008
    Messages:
    2,898
    Likes Received:
    0
    Device:
    3G iPod touch
    i'd say 2.2.1 for the reasons that the best jailbreak apps aren't supported for 3.0 there is more stuff for 3.0 but i'd wait a while till all of the little problems are sorted out
  4. kurtisboyd

    kurtisboyd Member

    Joined:
    Oct 20, 2007
    Messages:
    610
    Likes Received:
    7
    Device:
    iPhone 4 (Black)
    Yeah, I'd just hang tight for a week or two while all the apps are updated to work with 3.0, and then update.

    You've waited this long to update, so you might as well wait a bit more until all the kinks are worked out

    Please Register or Log in to view images

Share This Page